Sisimai::Reason::Rejected(3pm)

NAME
Sisimai::Reason::Rejected - Bounce reason is "rejected" or not.

SYNOPSIS
    use Sisimai::Reason::Rejected;
    print Sisimai::Reason::Rejected->match('550 Address rejected');   # 1

DESCRIPTION
"Sisimai::Reason::Rejected" checks the bounce reason is "rejected" or not. This class is called only "Sisimai::Reason" class.

This is the error that the SMTP connection to the destination server was rejected by the sender's email address (envelope from). Sisimai set "rejected" to the reason of the email bounce if the value of "Status:" field in the bounce email is 5.1.8 or the SMTP connection has been rejected due to the argument of SMTP "MAIL" command.

    <kijitora@example.org>:
    Connected to 192.0.2.225 but sender was rejected.
    Remote host said: 550 5.7.1 <root@nijo.example.jp>... Access denied

CLASS METHODS

  "text()"
text() method returns the fixed string "rejected".

    print Sisimai::Reason::Rejected->text;  # rejected

  "match(string)"
match() method returns 1 if the argument matched with patterns defined in this class.

    print Sisimai::Reason::Rejected->match('550 Address rejected');   # 1

  "true(Sisimai::Fact)"
true() method returns 1 if the bounce reason is "rejected". The argument must be "Sisimai::Fact" object and this method is called only from "Sisimai::Reason" class.

AUTHOR
azumakuniyuki

COPYRIGHT
Copyright (C) 2014-2019,2021-2026 azumakuniyuki, All rights reserved.

LICENSE
This software is distributed under The BSD 2-Clause License.